%global pixbuf_moduledir	%(pkg-config gdk-pixbuf-2.0 --variable=gdk_pixbuf_moduledir)

%define         major 1
%define         libname %mklibname heif %{major}
%define         devname %mklibname heif -d

#define         extra 20190816_gite6ecace

%define build_x265 0
%if "%distro_section" == "tainted"
%global build_x265 1
%endif

%define         rel 1

Name:           libheif
Version:        1.10.0
%define         subrel 2
Release:        %mkrel %{?extra:0.%{extra}.}%rel
Summary:        libheif is a ISO/IEC 23008-12:2017 HEIF file format decoder and encoder
Group:          System/Libraries
License:        LGPLv2 and GPLv2
URL:            http://www.libheif.org/
%if 0%{?extra}
Source0:        https://github.com/strukturag/libheif/archive/master/%{name}-%{version}%{?extra:-%{extra}}.tar.gz
%define dldir master
%else
Source0:        https://github.com/strukturag/libheif/archive/v%{version}/%{name}-%{version}.tar.gz

Patch0:         CVE-2023-0996.patch

%define dldir %{version}
%endif
BuildRequires:  pkgconfig(libde265)
%if %{build_x265}
BuildRequires:  pkgconfig(x265)
%endif
Requires:       libde265
BuildRequires:  pkgconfig(aom)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)

%description
Libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder and encoder.

HEIF is a new image file format that can potentially employ HEVC
(h.265) image coding for efficent compression ratios, but not
only. Alternative codecs for, e.g., AVC and JPEG, PNG can be used.

%if %{build_x265}
Because libheif makes use of libde265 for the actual image decoding
and x265 for encoding, the version using these codecs is impaired by
patents and is in the tainted repository.
%endif

%package        -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       heif-devel = %{version}-%{release}

%description    -n %{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%package        -n %{libname}
Summary:        Shared libraries for %{name}
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}
Conflicts:      %{name} < 1.3.2-0.20181016_git659fb68.2
Obsoletes:	%{_lib}heif_pixbuf0 < 1.4.0-2

%description    -n %{libname}
Shared libraries for %{name}.

%prep
%autosetup -n %{name}-%{dldir} -p1

%build
./autogen.sh
%configure --disable-static --disable-rav1e
%make_build

%install
%make_install
find %{buildroot} -name '*.*a' -delete

%files
%doc README.md
%{_bindir}/*
%{_datadir}/mime/packages/heif.xml
%{_datadir}/mime/packages/avif.xml
%{_datadir}/thumbnailers/heif.thumbnailer
%{_mandir}/man1/heif*

%files -n %{libname}
%{_libdir}/*%{name}*.so.%{major}{,.*}
%{pixbuf_moduledir}/libpixbufloader-heif.so

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/*%{name}*.so
%{_libdir}/pkgconfig/libheif.pc


%changelog
* Sun Apr 09 2023 kekepower <kekepower> 1.10.0-1.2.mga8
+ Revision: 1951879
- Backport upstream patch to fix CVE-2023-0996 (mga#31768)
- Use libde265 from core/release as well (mga#31658)

* Thu Dec 17 2020 kekepower <kekepower> 1.10.0-1.mga8.tainted
+ Revision: 1659917
- Update to version 1.10.0

* Fri Sep 25 2020 kekepower <kekepower> 1.9.1-1.mga8.tainted
+ Revision: 1630016
- Update to version 1.9.1

* Mon Aug 31 2020 kekepower <kekepower> 1.8.0-1.mga8
+ Revision: 1620346
- Update to version 1.8.0

* Mon Jul 13 2020 daviddavid <daviddavid> 1.7.0-3.mga8
+ Revision: 1605741
- rebuild for new x265 3.4
+ kekepower <kekepower>
- Rebuild with new aom

* Wed Jun 10 2020 kekepower <kekepower> 1.7.0-1.mga8
+ Revision: 1591823
- Update to version 1.7.0

* Mon May 25 2020 tv <tv> 1.6.2-3.mga8.tainted
+ Revision: 1587548
- rebuild for new x265

* Mon Mar 16 2020 eatdirt <eatdirt> 1.6.2-2.mga8.tainted
+ Revision: 1556740
- Build a free version to core (see #mga26330)

* Fri Feb 21 2020 kekepower <kekepower> 1.6.2-1.mga8.tainted
+ Revision: 1549171
- Update to version 1.6.2
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jan 12 2020 kekepower <kekepower> 1.6.1-1.mga8.tainted
+ Revision: 1477744
- Update to version 1.6.1
+ wally <wally>
- drop unneeded P1

* Fri Nov 08 2019 kekepower <kekepower> 1.6.0-1.mga8.tainted
+ Revision: 1458765
- Update to version 1.6.0

* Sat Oct 19 2019 zezinho <zezinho> 1.5.1-2.mga8.tainted
+ Revision: 1454632
- Rebuild against new x265

* Fri Aug 30 2019 kekepower <kekepower> 1.5.1-1.mga8.tainted
+ Revision: 1435187
- Update to version 1.5.1

* Fri Aug 16 2019 kekepower <kekepower> 1.5.0-1.mga8.tainted
+ Revision: 1429451
- Update to version 1.5.0
- Rebuild for new libx265

* Tue Jul 02 2019 kekepower <kekepower> 1.4.0-3.mga8.tainted
+ Revision: 1417754
- Rebuild with updated libde265

* Sun Apr 14 2019 wally <wally> 1.4.0-2.mga7.tainted
+ Revision: 1390102
- move gdk-pixbuf loader to lib pkg
- add patch to build gdk-pixbuf loader as a module

* Tue Feb 26 2019 kekepower <kekepower> 1.4.0-1.mga7.tainted
+ Revision: 1370266
- Update to version 1.4.0

* Sun Feb 10 2019 kekepower <kekepower> 1.3.2-0.20190206_git9d96532.1.mga7.tainted
+ Revision: 1364856
- Add BuildRequires for gdk-pixbuf
- Update to release 20190206_git9d96532

* Mon Feb 04 2019 zezinho <zezinho> 1.3.2-0.20190131_git75333c2.2.mga7.tainted
+ Revision: 1363061
- rebuild for libx265

* Thu Jan 31 2019 kekepower <kekepower> 1.3.2-0.20190131_git75333c2.1.mga7.tainted
+ Revision: 1362111
- Update to release 20190131_git75333c2

* Fri Dec 14 2018 kekepower <kekepower> 1.3.2-0.20181214_gite20251d.1.mga7.tainted
+ Revision: 1341175
- Update to release 20181214_gite20251d

* Fri Nov 23 2018 kekepower <kekepower> 1.3.2-0.20181121_git791fa2d.1.mga7.tainted
+ Revision: 1333675
- Update to release 20181121_git791fa2d

* Sat Oct 20 2018 daviddavid <daviddavid> 1.3.2-0.20181016_git659fb68.3.mga7.tainted
+ Revision: 1322841
- devel pkg requires main lib pkg
- add some missing Provides and Group

* Tue Oct 16 2018 kekepower <kekepower> 1.3.2-0.20181016_git659fb68.2.mga7.tainted
+ Revision: 1321168
- Fix devel and library packages

* Tue Oct 16 2018 kekepower <kekepower> 1.3.2-0.20181016_git659fb68.1.mga7.tainted
+ Revision: 1320981
- imported package libheif

